Page MenuHomePhabricator

Expiring userrights: update Special:UserRights after rights expiration
Closed, ResolvedPublic

Description

I've been testing on https://meta.wikimedia.beta.wmflabs.org/wiki/Special:RecentChanges this feature.

  • Granted MarcoAurelio (test) temporary adminship for 10 minutes.
    • account appears flagged at Special:ListUsers with a temporary warning and log format is correct
  • After the expiration, the account is removed from Special:Listusers/sysops as expected, however Special:UserRights still displays the checkbox checked.

When the right expire, the checkboxes at special:userrights should be updated accordingly. Thanks.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 31 2017, 9:56 AM

Special:UserRights has been updated now. Can you confirm that it takes a while to update? Thanks.

TTO added a subscriber: TTO.Jan 31 2017, 10:03 AM

I can't reproduce this. Special:UserRights updated immediately for me.

Did you just press F5/click Refresh in your browser on Special:UserRights? That could explain why it is remaining checked - the browser is remembering your form settings after refreshing the page.

I'm doing further checks to confirm.

https://meta.wikimedia.beta.wmflabs.org/w/index.php?title=Special%3AUserRights&user=MarcoAurelio%40deploymentwiki

This time I've hit the "edit user rights" button and while the right has expired, it remains checked. Exit the page and opened Special:UserRights for that account again and it remains checked as well. Maybe I'm doing something wrong?

At the target wiki the form does indeed show I hold no rights after they expired: https://deployment.wikimedia.beta.wmflabs.org/wiki/Special:UserRights/MarcoAurelio

TTO added a comment.Jan 31 2017, 10:16 AM

I was testing with local user rights, which would explain why I didn't notice it.

I can indeed see at https://meta.wikimedia.beta.wmflabs.org/w/index.php?title=Special%3AUserRights&user=MarcoAurelio%40deploymentwiki that the box is still checked. Interesting...

TTO claimed this task.Jan 31 2017, 10:19 AM

This is indeed a bug in the code. Not a major one, but a bug all the same.

Note that I've granted myself now local rights at deployment wiki after your comment. Will remove them now and see how they appear in the userrights-interwiki form.

Change 335205 had a related patch set uploaded (by TTO):
Don't return expired user groups in UserRightsProxy

https://gerrit.wikimedia.org/r/335205

When updated local rights, remote form is now updated as well. Will return to leave things as they were so it can be investigated.

Re-granted temporary admin rights for 10 seconds at deploymentwiki via metawiki beta cluster. Checkbox still not updated. Sorry for the noise and testing and thanks for taking care of this! Regards.

Change 335205 merged by jenkins-bot:
Don't return expired user groups in UserRightsProxy

https://gerrit.wikimedia.org/r/335205

TTO closed this task as Resolved.Feb 1 2017, 12:12 AM

Thanks MA once again :)

DannyH moved this task from Untriaged to Archive on the Community-Tech board.Mar 2 2017, 6:37 PM